TeePayDocs
API ReferenceCheckout sessions

Get a checkout session

GET
/v1/checkout-sessions/{id}

One checkout session. status becomes paid only after TeePay verified and ledger-posted the payment, and payment.reference is then set. Requires checkout:read.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Secret API key: tp_test_. or tp_live_.. Server-side only.

Path Parameters

id*string
Formatuuid

Response Body

Checkout session

application/json
  1. response
id*string
Formatuuid
object*unknown
status*unknown

paid only after TeePay verified and ledger-posted the payment; never from a browser redirect.

Value in"open""processing""paid""expired""unavailable"
title*string
description*string
currency*string
Match^[A-Z]{3}$
amount_minor*string
Match^[1-9][0-9]{0,12}$
checkout_url*|

TeePay hosted checkout to send or redirect the customer to.

Formaturi
payment_profile_id*string|null
reference*string|null
metadata*
payment*|null
environment*unknown
Value in"live""sandbox"
created_at*string
expires_at*string|null
Example Request
curl -X GET 'https://api.teepay.me/v1/checkout-sessions/7c0e5d2a-1b3f-4c8e-9a6d-2f4b8e1c0d9a'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "checkout_session",  "status": "open",  "title": "string",  "description": "string",  "currency": "string",  "amount_minor": "string",  "checkout_url": "http://example.com",  "payment_profile_id": "string",  "reference": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "payment": {    "reference": "string"  },  "environment": "live",  "created_at": "string",  "expires_at": "string"}